
From: Jody McIntyre <scjody@steamballoon.com>

Set the initial sendtime to be 10 seconds in the future, to avoid the packet
timing out while it's still queued to be sent.  This fixes furthur "no tlabel
match" problems caused by premature expiry.

Signed-off-by: Jody McIntyre <scjody@steamballoon.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/ieee1394/ieee1394_core.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/ieee1394/ieee1394_core.c~ieee1394-fix-premature-expiry-of-async-packets drivers/ieee1394/ieee1394_core.c
--- 25/drivers/ieee1394/ieee1394_core.c~ieee1394-fix-premature-expiry-of-async-packets	2005-05-06 18:27:07.000000000 -0700
+++ 25-akpm/drivers/ieee1394/ieee1394_core.c	2005-05-06 18:27:07.000000000 -0700
@@ -520,7 +520,7 @@ int hpsb_send_packet(struct hpsb_packet 
 
 	if (!packet->no_waiter || packet->expect_response) {
 		atomic_inc(&packet->refcnt);
-		packet->sendtime = jiffies;
+		packet->sendtime = jiffies + 10 * HZ;
 		skb_queue_tail(&host->pending_packet_queue, packet->skb);
 	}
 
_
